/*
 * Copyright (C) 2003 Kristoffer Vinther.
 * For contact information, please visit
 * http://www.brics.dk/~kv/thesis/.
 * If you use this code in commercial applications, please notify me.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TEST_H_INCLUDED_
#define __TEST_H_INCLUDED_

void checkSqrt();
void checkCub();
void checkMerger();
void checkQSort();
void checkFSort();
void checkIMSort();

#include "cmd.h"
void scanTest(int argc, char *argv[], cmd_switch::scan sc, _int64_t n, size_t order, const char *file);

#endif // __TEST_H_INCLUDED_
